<script setup lang="ts">
    import SFooter from '@/components/layout/SFooter.vue'
    import { useMsal } from '@/plugins/msal/useMsal'
    import SContextualNavbar from '@/shared/navbar/components/SContextualNavbar.vue'
    import { useUserStore } from '@/shared/user/stores/UserStore'
    import { ref, computed } from 'vue'
    import SAuthenticationButton from '@/components/ui/SAuthenticationButton.vue'
    import SContentContainer from '@/components/layout/SContentContainer.vue'

    const menuOpen = ref(false)

    const msal = useMsal()
    const userStore = useUserStore(msal)

    const displayName = computed(() => {
        if (msal.accounts.value.length > 0) {
            const name = msal.accounts.value[0].name
            if (name) {
                return name
            }
        }
        return ''
    })
</script>

<template>
    <s-contextual-navbar page-title="Mentions légales">
        <template #contextualButtons>
            <v-menu v-model="menuOpen">
                <template #activator="{ props }">
                    <v-btn v-bind="props" color="secondary">
                        <v-icon size="x-large">
                            mdi-account-circle-outline
                        </v-icon>
                        <p
                            v-if="$vuetify.display.smAndUp"
                            data-cy="logged-in-display-name"
                        >
                            {{ displayName }}
                        </p>
                        <v-icon>
                            {{
                                menuOpen ? 'mdi-chevron-up' : 'mdi-chevron-down'
                            }}
                        </v-icon>
                    </v-btn>
                </template>
                <v-list>
                    <v-list-item>
                        <v-list-item-title>
                            <s-authentication-button />
                        </v-list-item-title>
                    </v-list-item>
                </v-list>
            </v-menu>
            <v-btn
                v-if="userStore.currentUser.reachableRoles.includes('ROLE_GOD')"
                data-cy="btn-silab-admin"
                icon="mdi-cog-outline"
                color="on-background"
                :to="{
                    name: 'admin/utilisateurs',
                }"
            ></v-btn>
        </template>
    </s-contextual-navbar>
    <v-main>
        <s-content-container>
            <v-row>
                <v-col cols="12">
                    <h1>Mentions légales</h1>

                    <p class="my-3">
                        Droit d'accès, de modification, de rectification et de
                        suppression des données, conditions d'utilisation,
                        limitation des responsabilités ainsi que droits et
                        propriété intellectuelle du site sont les sujets traités
                        dans ces mentions légales.
                    </p>

                    <h2 class="my-3">
                        Exercer mes droits concernant mes données personnelles
                    </h2>

                    <p class="my-3">
                        Vous pouvez à tout moment demander l'accès, la
                        rectification, l'effacement, la portabilité ou la
                        limitation des données vous concernant, ou vous opposer
                        à leur traitement en contactant le délégué à la
                        protection des données :
                    </p>

                    <p class="my-3">
                        par mail :
                        <a href="mailto:dpd@grandpoitiers.fr">
                            dpd@grandpoitiers.fr
                        </a>
                        <br />
                        par courrier : à l'attention du délégué à la protection
                        des données, Hôtel de Ville, CS 10569, 86021 Poitiers
                        cedex
                    </p>

                    <p>
                        Pour en savoir plus sur l'exercice de vos droits, vous
                        pouvez également consulter le site de la
                        <a href="https://www.cnil.fr/" target="_blank"
                            >Commission nationale de l'informatique et des
                            libertés (CNIL).
                        </a>
                        (CNIL).
                    </p>
                </v-col>
            </v-row>
        </s-content-container>
    </v-main>
    <s-footer />
</template>
